# Package name without php prefix
%define		php_extension	domxml
###############################################################

Name:	 	php-%php_extension
Version:	%php_version
Release:	%php_release
Group:		System/Servers
License:	PHP Licence
Requires:       libexpat libxml2 libxslt 
Prereq:		php-common >= 1:%php_version-%php_release
Requires:       libexpat libxml2 libxslt
# Automatically added by buildreq on Mon Nov 03 2003
BuildRequires: gcc-c++ libstdc++-devel libxml2-devel libxslt-devel zlib-devel
BuildRequires: php-devel >= 1:%php_version-%php_release
Summary:	 PHP4 module for support DOM XML
%add_serial php-devel

Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh

%description
The extension allows you to operate on an XML document with the DOM API.

%prep
%setup -T -c
cp -pr %php_extsrcdir/%php_extension/* .

%build
phpize

BUILD_HAVE=`echo %php_extension | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%_libdir"
export CFLAGS  

%configure \
    --with-dom \
    --with-zlib-dir=%_usr \
    --with-dom-xslt 

%php_make

%install
%php_make_install
%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%clean

%files
%php_extconf/%php_extension
%php_extdir/*
%doc CREDITS EXPERIMENTAL TODO

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Wed Nov 12 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.5-alt0.cvs20031112
- New cvs snapshot php4.3.5 CVS-20031112
- minor build scheme fix:
  - macro php_optflags added.
  - sapi build environment changed.

* Sat Nov 01 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.4-alt0.cvs20031101
- first build for ALT Linux
